package com.muyu.event.service;

import com.muyu.demos.model.Result;
import com.muyu.event.common.VehicleEvent;
import com.muyu.mqtt.dao.MessageData;

import java.util.List;

/**
 * EventService
 *
 * @author Yangle
 * Date 2024/6/17 19:57
 */
public interface EventService {
    List<VehicleEvent> getCarEventList(VehicleEvent vehicleEvent);

    Result<MessageData> selectEvent(VehicleEvent vehicleEvent);

    void eventAddRedis(VehicleEvent vehicleEvent);

    Result getMaximumCoordinate(String vin);




    List<VehicleEvent> selectVehicleEvent();

}
